<?php
use CRM_Themetest_ExtensionUtil as E;

/**
 * This is a wrapper to provide access to files that might be protected by httpd
 * e.g. json files, in security-first environment.
 *
 * Currently it is only used to provide access to snippets.json
 *
 * The path is /civicrm/themetest/asset?need=snippets
 *
 */
class CRM_Themetest_Page_Asset extends CRM_Core_Page {

  public function run() {
    switch ($_GET['need'] ?? '') {
      case 'snippets':
        $file = E::path('snippets.json');
        header('Content-Type: application/json');
        header('Content-Length: ' . filesize($file));
        readfile($file);
        CRM_Utils_System::civiExit();

      default:
        http_response_code(404);
        CRM_Utils_System::civiExit();
    }
  }

}
